<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Filter_control extends CI_Controller
{

  public function __construct()
  {
    parent::__construct();
  }

  public function index()
  {
  }

  function filter($page)
  {
    $xsess = 'prosc_' . $page . '_x';
    $ysess = 'prosc_' . $page . '_y';
    $unsess = $this->input->get('action');
    if ($unsess == 'reset') {
      unset($_SESSION[$xsess]);
      unset($_SESSION[$ysess]);
      echo (json_encode(['status' => 'success', 'message' => '', 'extra' => '']));
    } elseif ($unsess == 'set') {
      $start = trim($this->input->post('start_date'));
      $stop  = trim($this->input->post('stop_date'));
      if ($start > $stop) exit(json_encode(['status' => 'error', 'message' => 'Invalid date range selected']));
      $range = trim($this->input->post('range'));
      switch ($range) {
        case 1:
          $start = date('Y-m-01');
          $stop  = date('Y-m-d');
          break;
        case 2:
          $start = date('Y-m-01', strtotime('-1 month'));
          $stop  = date('Y-m-01');
          $stop  = date('Y-m-d', strtotime('-1 day', strtotime($stop)));
          break;
        case 3:
          $start = date('Y-01-01');
          $stop  = date('Y-m-d');
          break;
        default:
          break;
      }
      $_SESSION[$xsess] = $start;
      $_SESSION[$ysess] = $stop;
      echo (json_encode(['status' => 'success', 'message' => '', 'extra' => '']));
    } else {
      $this->load->view('popups/admin/filter', ['page' => $page]);
    }
  }
}
