<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class User_sales_control extends CI_Controller {
  
  public function __construct()
  {
    parent::__construct();

    if ($this->session->userdata('prosc_admin') !== true)
      redirect(base_url(), 'refresh');
    $this->load->model('User_sales_model');
  }

  public function index()
  {
    $this->pager();
  }

  function pager($tmp='')
  {
    $action = $this->input->get('action');
    $tag = $this->input->get('token');
    $tok = $this->input->get('tok');
    if ($action == 'approve') return $this->supply();
    if (!$this->input->is_ajax_request() && strstr(current_url(), '.aspx') == '') redirect(base_url('not_found.aspx'), 'refresh');
    $data = $this->User_sales_model->_get_all($this->input->get('token')) ?: [];
    $sales = $this->User_sales_model->_sales($tag);
    $clients = $this->User_sales_model->_get_clients() ?: [];
    $users = $this->User_sales_model->_get_users() ?: [];
    $outlets = $this->User_sales_model->_get_outlets() ?: [];
    $items = $this->User_sales_model->_get_items() ?: [];
    if ($tmp == '') $this->load->view('default', ['tag'=>$tag,'tok' => $tok ,'page'=>'user_sales', 'data'=>$data, 'clients'=>$clients, 'outlets'=>$outlets, 'tmp'=>$tmp, 'users' => $users,"items" => $items, "sales" => $sales]);
    else return $this->load->view('admin/user_sales', ['tag'=>$tag,'tok' => $tok,'data'=>$data, 'clients'=>$clients, 'outlets'=>$outlets, 'tmp'=>$tmp, 'users' => $users,"items" => $items , "sales" => $sales], true);
  }

  function navigate($dir)
  {
    if (($dir != 'next' && $dir != 'prev')) return false;

    $chip = $dir == 'prev' ? '-1 days' : '+1 day';
    $dated = $this->session->userdata('prosc_user_sales_date') ?? date('Y-m-d');
    $dated = date('Y-m-d', strtotime($chip, strtotime($dated)));
    $this->session->set_userdata('prosc_user_sales_date', $dated);
    echo json_encode(['status'=>'success', 'message'=>'']);
  }  
}
