<?php
defined('BASEPATH') or exit('No direct script access allowed');

class kpi_update_control extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();

        if ($this->session->userdata('prosc_admin') !== true)
            redirect(base_url(), 'refresh');

        $this->load->model('kpi_update_model');
    }

    public function index()
    {
        $this->pager();
    }

    function pager($tmp = '')
    {
        $target = $this->input->get('target');
        if (!$this->input->is_ajax_request() && strstr(current_url(), '.aspx') == '') redirect(base_url('not_found.aspx'), 'refresh');
        $data = $this->kpi_update_model->_get_details(['staff_id' => $target]) ?: [];
        $staff_data = $this->kpi_update_model->_get_staff(['username' => $target]) ?: '';
        $kpi_details = $this->kpi_update_model->_get_kpi_list() ?: [];
        if ($tmp == '') $this->load->view('default', ['page' => 'kpi_update', 'data' => $data, 'kpi_details' => $kpi_details, 'staff_data' => $staff_data, 'target' => $target, 'tmp' => $tmp]);
        else return $this->load->view('admin/kpi_update', ['data' => $data, 'kpi_details' => $kpi_details, 'staff_data' => $staff_data,  'target' => $target, 'tmp' => $tmp], true);
    }

    function check()
    {

        $Presentation = $this->input->post('Presentation');
        $Teamwork = $this->input->post('Teamwork');
        $Time_Management = $this->input->post('Time Management');

        $data = [
            'staff_id' => 'cry',
            'token' => '98yg86rvrdt4xe57r6cv8yb8oyilgyt',
            'Teamwork' => $Teamwork,
            'Presentation' => $Presentation,
            'feedback' => 'Yeye boyfriend',
            'Time Management' => $Time_Management,
            'status' => 0
        ];

        return $data;
    }

    function create()
    {
        $data = $this->check();
        if (!$data) exit(json_encode(['status' => 'error', 'message' => 'Fill in all required fields']));
        if (!is_array($data)) exit(json_encode(['status' => 'error', 'message' => $data]));

        if (!$this->kpi_update_model->_post($data))
            exit(json_encode(['status' => 'error', 'message' => 'An unknown error occured and the insertion operation failed']));

        echo (json_encode(['status' => 'success', 'message' => $this->pager('dump')]));
    }

    function update()
    {
        $data = $this->check();
        if (!$data) exit(json_encode(['status' => 'error', 'message' => 'Fill in all required fields']));
        if (!is_array($data)) exit(json_encode(['status' => 'error', 'message' => $data]));

        if (!$this->kpi_update_model->_post($data))
            exit(json_encode(['status' => 'error', 'message' => 'An unknown error occured and the insertion operation failed']));

        echo (json_encode(['status' => 'success', 'message' => $this->pager('dump')]));
    }
}
