<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<div class="px-2 px-md-4 banner">
  <div class="pb-2 crumb">
    <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
    <a href="<?= base_url('ipanel/settings.aspx'); ?>">Settings</a><i class="ix ix-chevron"></i>
    <a href="javascript:void(0)">KPI Configuration</a><i class="ix ix-chevron"></i>
  </div>
  <?php if (1 === 0): ?>
  <div class="pb-2 banner border-0" style="margin-left: auto;">
    <div class="btn-group bg-light rounded px-2">
      <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
    </div>
  </div>
  <?php endif ?>
</div>
<div class="kpi_nav">
  <h4>Key Perfomance Indicators</h4>
  <a href="<?= base_url('ipanel/pop/kpi'); ?>" class="btn btn-supreme btn-crlt" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Create New KPI"><i class="bi bi-activity me-2"></i> Add new KPI</a>
</div>
<div class="kpi_body" id="drop-off">
<?php
  $c = 0;
  foreach ($data as $row) {
?>
    <div class="kpi_body_item">
      <div class="body_item_sub_flex">
        <div class="btsf"><?= $row['name'] ?></div><span class="text-md"><?= $row['outlet'] ?></span>
      </div>
      <div class="body_item_sub">
        <div class="toggle-container">
          <input type="checkbox" class="toggle-input">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 292 142" class="toggle">
            <path d="M71 142C31.7878 142 0 110.212 0 71C0 31.7878 31.7878 0 71 0C110.212 0 119 30 146 30C173 30 182 0 221 0C260 0 292 31.7878 292 71C292 110.212 260.212 142 221 142C181.788 142 173 112 146 112C119 112 110.212 142 71 142Z" class="toggle-background"></path>
            <rect rx="6" height="64" width="12" y="39" x="64" class="toggle-icon on"></rect>
            <path d="M221 91C232.046 91 241 82.0457 241 71C241 59.9543 232.046 51 221 51C209.954 51 201 59.9543 201 71C201 82.0457 209.954 91 221 91ZM221 103C238.673 103 253 88.6731 253 71C253 53.3269 238.673 39 221 39C203.327 39 189 53.3269 189 71C189 88.6731 203.327 103 221 103Z" fill-rule="evenodd" class="toggle-icon off"></path>
            <g filter="url('#goo')">
              <rect fill="#fff" rx="29" height="58" width="116" y="42" x="13" class="toggle-circle-center"></rect>
              <rect fill="#fff" rx="58" height="114" width="114" y="14" x="14" class="toggle-circle left"></rect>
              <rect fill="#fff" rx="58" height="114" width="114" y="14" x="164" class="toggle-circle right"></rect>
            </g>
            <filter id="goo">
              <feGaussianBlur stdDeviation="10" result="blur" in="SourceGraphic"></feGaussianBlur>
              <feColorMatrix result="goo" values="1 0 0 0 0  0 1 0 0 0  0 0 1 0 0  0 0 0 18 -7" mode="matrix" in="blur"></feColorMatrix>
            </filter>
          </svg>
        </div>
      </div>
    </div>
  <?php } ?>
</div>
<?php ?>
