<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php if (is_array($data)) { 
  $s = $o = $k = [];
  foreach ($users as $key) $s[$key['token']] = $key['name'];
  foreach ($clients as $key) $k[$key['token']] = $key['name'];
  foreach ($outlets as $key) $o[$key['token']] = $key['name'];
  if ($tmp === ''):
?>
<div class="py-2 text-end">
  <a href="<?= base_url('ipanel/pop/lodgement'); ?>" class="btn btn-warning" data-bs-toggle="modal" data-bs-target="#mModal" 
     data-title="New Lodgement"><i class="bi-plus-lg"></i> Add Lodgement</a>
</div>
<div class="table-responsive text-nowrap">
  <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
    <thead>
      <tr>
        <th class="text-center" width="20px">#</th>
        <th class="text-nowrap" width="60px">Supply</th>
        <th>Date</th>
        <th>Client</th>
        <th width="60px" class="text-center">Amount</th>
        <th>Date Paid</th>
        <th class="text-center" width="60px">Action</th>
      </tr>
    </thead>
    <tbody id="drop-off">
<?php endif ?>
  <?php
    $c = 0;
    foreach ($data as $row) { 
      $c++;
  ?>
      <tr>
        <td width="20px" class="text-end"><?= $c; ?></td>
        <td><b>#<?= $row['voucher']; ?></b></td>
        <td><?= date('d M, Y', strtotime($row['op_date'])); ?></td>
        <td><?= $k[$row['customer']]; ?></td>
        <td><span class="money"><?= number_format($row['amount'], 2); ?></span></td>
        <td><?= date('d M, Y', strtotime($row['date'])); ?></td>
        <?php if (1 == 0): ?>
        <td><?= substr($s[$row['done_by']], 0, 26); ?></td>
        <?php endif ?>
        <td class="text-nowrap py-2">
          <a href="<?= base_url('ipanel/pop/lodgement?token='.$row['token']); ?>" class="btn btn-warning" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Edit Lodgement"><i class="bi-pen"></i></a>
          <a href="<?= base_url('ipanel/drop/lodgement?token='.$row['token']); ?>" class="btn btn-danger" data-bs-toggle="modal" data-bs-target="#mModalX">
            <i class="bi-trash3-fill"></i>
            <span class="msg d-none">This operation will delete lodgement with details at row: <b><?= $c; ?></b><br />Sure to continue?</span>
          </a>
        </td>
      </tr>
  <?php } ?>
  <?php if (count($data) == 0) { ?>
      <tr><td colspan="8" class="p-5 text-danger text-center">no data available</td></tr>
  <?php } ?>
<?php if ($tmp === ''): ?>
    </tbody>
  </table>
</div>
<?php endif ?>
<?php } ?>
