<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<div class="container">

  <div class="row">
    <div class="col-md-6 offset-md-3">
      <div class="m-3 m-md-5">
        <h6><b>Company Profile</b></h6>
        <?= form_open('settings', ['class' => 'kForm p-3 pt-4 pb-5 rounded border', 'autocomplete' => 'off']); ?>
        <div class="form-group mb-3">
          Company subtitle
          <textarea name="title" class="form-control text-center" required><?= $title; ?></textarea>
        </div>

        <div class="form-group mb-3">
          Country
          <select class="form-select" id="select" name="country" required>
            <option value="" class="d-none">Select Country</option>
            <option value="Nigeria" class="outlet" <?= $country == 'Nigeria' ? 'selected' : ''; ?>>Nigeria</option>
            <option value="England" class="outlet" <?= $country == 'England' ? 'selected' : ''; ?>>England</option>
          </select>
        </div>
        <div class="form-group mb-3">
          Company Address
          <input type="text" value="<?= $address; ?>" name="address" class="form-control" required />
        </div>
        <div class="form-group mb-3">
          Company Currency
          <select class="form-select" id="select" name="currency" required>
            <option value="" class="d-none">Select Currency...</option>
            <option value="NGN" class="outlet" <?= $currency == 'NGN' ? 'selected' : ''; ?>>NGN</option>
            <option value="GBP" class="outlet" <?= $currency == 'GBP' ? 'selected' : ''; ?>>GBP</option>
          </select>
        </div>
        <div class="form-group mb-3">
          VAT value
          <div class="input-group mb-3">
            <input type="number" step="0.5" value="<?= $vat ?>" name="vat" class="form-control" required />
            <span class="input-group-text">%</span>
          </div>
        </div>
        <div class="form-group mb-3">
          Company Hotline
          <input type="text" maxlength="15" value="<?= $phone; ?>" name="phone" class="form-control" required />
        </div>
        <button type="submit" class="btn btn-supreme w-100 submit" data-ref="<?= base_url('ipanel/put/preferences?target=settings'); ?>">Save</button>
        <?= form_close(); ?>
      </div>
    </div>
  </div>
</div>