<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php if (is_array($data)) { 
  // $s = [];
  // $total = 0;
  // $total_cost = 0;
  // $warehouse_sales  = [];
  // foreach ($outlets as $key) $outlet[$key['token']] = $key['name'];
  foreach ($items as $key) $item[$key['token']] = $key['name'];

  // $w_sales = [];
  // foreach($data as $key => $value){
  //   if(! array_key_exists($value['item'], $w_sales) ){
  //     $w_sales[$value['item']] = array(
  //       'quantity'        => $value['quantity'],
  //       'price'    => $value['price'],
  //       'cost_price'  => $value['cost_price'],
  //       'gross_profit' => ($value['total'] - $value['total_cost_price'] )
  //     );
  //   }else{
  //     $w_sales[$value['item']] = array(
  //       'quantity' => $w_sales[$value['item']]['quantity'] + $value['quantity'],
  //       'price'    =>  $w_sales[$value['item']]['price'],
  //       'cost_price'  => $value['cost_price'],
  //       'gross_profit' => $w_sales[$value['item']]['gross_profit'] + ($value['total'] - $value['total_cost_price'] )
  //     );
  //   }
  
  // }
  
  // if ($sales != false) {
  //   foreach ($sales as $key){
  //     $total = $key['total'] + $total;
  //     $total_cost = $key['total_cost_price'] + $total_cost;
      
  //     if ( ! array_key_exists($key['warehouse'], $warehouse_sales)){
  //       $warehouse_sales[$key['warehouse']] = array(
  //         'sales_total'    => $key['total'],
  //         'gross_profit'   => $key['total'] - $key['total_cost_price']
  //       );
  //     } else {
  //       $s = $warehouse_sales[$key['warehouse']]['sales_total'] + $key['total'];
  //       $p = $warehouse_sales[$key['warehouse']]['gross_profit'] + ($key['total'] - $key['total_cost_price']);
  //       $warehouse_sales[$key['warehouse']] = array(
  //         'sales_total'    => $s,
  //         'gross_profit'   => $p
  //       );
  //     }
  //   }
  // }  
  
  
  if ($tmp === ''):
    $ped = $this->session->userdata('prosc_sales_chart_date');
?>
<div class="px-2 px-md-4 mb-3 banner">
  <div class="pb-2 crumb">
    <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px">/
    <a href="javascript:void(0)">Sales</a>/
    <a href="javascript:void(0)">Outlet Sales Details</a>
  </div>
</div>
<?php $x = $_SESSION['prosc_sales_chart_x'] ?? ''; ?>
<?php $y = $_SESSION['prosc_sales_chart_y'] ?? ''; ?>
<?php $dated = ( ! isset($_SESSION['prosc_sales_chart_x'])) ? (($ped == NULL) ? date('m/d/Y') : date('m/d/Y', strtotime($ped))) : (date('m/d/Y', strtotime($x)) .' - '. date('m/d/Y', strtotime($y))); ?>

<div class="px-2 px-md-4 mb-4 banner mx-auto" style="justify-content: space-between; align-items: center; font-weight: 800; ">
  <div>
    <?= $outlet['name'] ?? ''; ?><br />
    <?= $outlet['staff'] ?? ''; ?> &nbsp; 
    <span class="text-secondary"><?= $outlet['phone'] ?? ''; ?></span>
  </div>    
  <div class="text-end">
    <div style="font-size: 1.05rem;"><?= $dated; ?></div> 
    <div class="d-inline-block">Total Sales &nbsp;<span class="bi-2x"><span class="money"><?= number_format($totals['sales'], 2); ?></span></span></div>
    <div class="d-inline-block ms-0 ms-md-4">Profit &nbsp;<span class="bi-2x text-success"><span class="money"><?= number_format(($totals['sales'] - $totals['costs']), 2); ?></span></span></div>
  </div>
</div>

<div class="container-fluid">
  <div class="pb-3 d-flex ">
    <div class="btn btn-outline-supreme-2 btn-sm" id="highest" onclick="highest()">Highest Sales </div>
    <div class="btn btn-sm" id="lowest" onclick="lowest()">Lowest Sales </div>
  </div>
  <!-- chart -->
  <div class="py-3 bg-white rounded">
    <h5 id="chart-title" class="p-3 pt-0"><b>Top 5 Sales</b></h5>
    <div class="position-relative" style="height: 240px">
      <canvas id="charted"></canvas>
      <canvas class="d-none" id="charted2"></canvas>
    </div>
  </div>
  <!-- chart end -->
  <div class="table-responsive">
    <table class=" table<?= (count($data) > 0) ? ' table-hovers' : ''; ?> datatable">
      <thead>
        <tr class="text-center">
        <th width="20px">#</th>
        <th class="text-start">Product Name</th>
        <th class="text-start">Quantity Sold</th>
        <th class="text-start">Cost Price </th>
        <th class="text-start">Selling Price</th>
        <th class="text-start">Amount</th>
        <th class="text-start">Gross Profit</th>
        </tr>
      </thead>
      <tbody id="drop-off">
<?php endif ?>
  <?php
    $c = 0;
    foreach ($data as $row) { 
      $c++;
  ?>
        <tr>
          <td width="20px" class="text-end"><?= $c; ?></td>
          <td class="text-nowrap"><?= $item[$row['item']] ?? "*" ?></td>
          <td class="text-nowrap"><?= number_format($row['quantity']); ?></td>
          <td class="text-nowrap"><span class="money"><?= number_format($row['cost_price'], 2); ?></span></td>  
          <td class="text-nowrap"><span class="money"><?= number_format($row['price'], 2); ?></span></td>  
          <td class="text-nowrap"><span class="money"><?= number_format($row['sales'], 2); ?></span></td>
          <td class="text-nowrap"><span class="money"><?= number_format(($row['sales'] - $row['costs']) ,2); ?></span></td>  
        </tr>
  <?php } ?>
<?php if ($tmp === ''): ?>
      </tbody>
    </table>
  </div>
</div>
<?php endif ?>
<?php } ?>
<script type="text/javascript">
  let highests = '<?= json_encode($highest) ?>';
  let lowests  = '<?= json_encode($lowest) ?>';
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.9.1/chart.min.js"></script>
<script type="text/javascript" src="<?= base_url('assets/js/awe-statx.js'); ?>" defer></script>
