<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php if (is_array($data)) { 
  $total = 0;
  foreach ($items as $key) $item[$key['token']] = $key['name'];
?>
<div class="px-2 px-md-4 mb-3 banner">
  <div class="pb-2 crumb">
      <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="bi-chevron-right"></i>
      <a href="javascript:void(0)">Sales</a> <i class="bi-chevron-right"></i> 
      <a href="javascript:void(0)">Sales Details</a> <i class="bi-chevron-right"></i>
      <a href="javascript:void(0)">Order ID: <?= $data[0]['voucher']; ?></a>
  </div>
</div>
<?php $dated = (date('d M, Y', strtotime($data[0]['date']))); ?>
<div class="px-2 px-md-4 mb-4 banner pb-3" style="justify-content: space-between; align-items: center ;font-weight: 800; ">
  <div>Order ID: <?= $data[0]['voucher'] ?></div>
  <div><?= $dated; ?></div> 
  <div>Total Sales:  <span class="money" id="total"><?= number_format($total, 2); ?></span></div>      
</div>
<div class="table-responsive">
  <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?> datatable">
    <thead>
      <tr class="text-center">
        <th width="20px">#</th>
        <th class="text-start">Customer</th>
        <th class="text-start">Item</th>
        <th class="text-start">Quantity Sold</th>
        <th class="text-start">Price (Per Unit)</th>
        <th class="text-start">Amount</th>
      </tr>
    </thead>
    <tbody id="drop-off">
  <?php
    $c = 0;
    foreach ($data as $row) { 
      $c++; $total += $row['price'] * $row['quantity'];
  ?>
      <tr>
        <td width="20px" class="text-end"><?= $c; ?></td>
        <td class="text-nowrap"><?= $row['customer_name']; ?></td>
        <td class="text-nowrap"> <?= $item[$row['item']]; ?>   </td>
        <td class="text-nowrap"><?= @number_format($row['quantity'],0); ?></td>
        <td class="text-nowrap"> <span class="money"><?= number_format($row['price']); ?></td>  
        <td class="text-nowrap"> <span class="money"><?= number_format(($row['quantity'] * $row['price'])); ?></td>        
      </tr>
  <?php } ?>
  <?php if (count($data) == 0) { ?>
      <tr><td colspan="7" class="p-5 text-danger text-center">no data available</td></tr>
  <?php } ?>
<?php if ($tmp === ''): ?>
    </tbody>
  </table>
</div>
<?php endif ?>
<?php } ?>
<script type="text/javascript">
  $('#total').text('<?= number_format($total) ?>');
</script>
