<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php

// $a = array("red", "green");
// array_push($a, "blue", "yellow");
// print_r($a);

$dataPoints = array();
foreach ($data as $row) :
    array_push($dataPoints, array("label" => $row['name'], "y" => $kpi[0][$row['name']]));
endforeach;

?>
<?php if (is_array($data)) {

?>
    <div class="px-2 px-md-4 banner">
        <div class="pb-2 crumb">
            <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
            <a href="javascript:void(0)">Staff Performance</a> <i class="ix ix-chevron"></i> <a href="javascript:void(0)">KPI</a>
        </div>
    </div>
    <div class="container-fluid p-3">
        <div class="staffCard">
            <div class="photoBox">
                <img src="<?= $_SESSION['prosc_image']; ?>" alt="">
            </div>
            <div class="nameCard">
                <div class="staffName">
                    <h4><?= $this->session->userdata('prosc_name'); ?></h4>
                </div>
                <div class="staffPosition">
                    <h6>Software Developer</h6>

                </div>
            </div>
        </div>
    </div>
    <div class="container-fluid pt-3" id="drop-off">
        <div class="reviewBox">
            <div id="chartContainer" style="height: 100%; width: 100%;"></div>
        </div>
        <div class="feedbackBox">
            <h4 class="ms-2">Feedback</h4>
            <div class="ms-2 feedback">
                <p><?= $kpi[0]['feedback'] ?></p>
            </div>
        </div>
        <script>
            window.onload = function() {

                var chart = new CanvasJS.Chart("chartContainer", {
                    animationEnabled: true,
                    theme: "light2",
                    title: {
                        text: "Perfomance Review For <?= $this->session->userdata('prosc_name'); ?>"
                    },
                    axisY: {

                        scaleBreaks: {
                            autoCalculate: true
                        }
                    },
                    data: [{
                        type: "column",
                        yValueFormatString: "#,##0\"%\"",
                        indexLabel: "{y}",
                        indexLabelPlacement: "inside",
                        indexLabelFontColor: "white",
                        dataPoints: <?php echo json_encode($dataPoints, JSON_NUMERIC_CHECK); ?>
                    }]
                });
                chart.render();

            }
        </script>
        <script src="https://cdn.canvasjs.com/canvasjs.min.js"></script>
        <?php if ($tmp === '') : ?>
    </div>
<?php endif ?>
<?php } ?>