<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php if (is_array($data)) { 
  $s = $i = $o = $t = [];
  foreach ($clients as $key) $o[$key['token']] = [$key['days'], $key['name'], $key['phone']];
  foreach ($states as $key) $s[$key['token']] = $key['name'];
  foreach ($items as $key) $i[$key['token']] = $key['name'];
  foreach ($cats as $key) $t[$key['token']] = $key['name'];
  if ($this->session->userdata('prosc_supply_client_key') == ''):
    if ($tmp === '') {
?>
<div class="px-2 px-md-4 banner">
  <div class="pb-2 crumb">
    <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
    <!-- <a href="<?= base_url('ipanel/supply_client.aspx');?>">Supply</a> <i class="ix ix-chevron"></i>  -->
    <a href="javascript:void(0)">Supply Client</a>
  </div>
  
  <div class="pb-2 ms-auto">
    <div class="btn-group bg-light rounded px-2">
      <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
      <a href="<?= base_url('filter/'.$page) ?>" class="btn" data-title="Filter" data-bs-toggle="modal" data-bs-target="#mModal" ><i class="bi-filter"></i></a>
    </div>
    <?php if (count($clients) > 0): ?>
    <a href="<?= base_url('ipanel/pop/supply_client'); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Initiate Supply"><i class="bi-plus-lg"></i> Create Supply</a>
<?php endif ?>
  </div>
</div>
<?php if (isset($_SESSION['prosc_supply_clients_x'])): ?>
<div class="container-fluid text-end pt-3">
  <div class="btn"><?= date('d M, Y', strtotime($_SESSION['prosc_supply_clients_x'])) ?> &nbsp; - &nbsp; <?= date('d M, Y', strtotime($_SESSION['prosc_supply_clients_y'])) ?></div>
</div>
<?php endif ?>
<div class="container-fluid pt-3">
  <div class="table-responsive">
    <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
      <thead>
        <tr class="text-center">
          <th width="20px">#</th>
          <th class="text-start">Voucher</th>
          <th class="text-start">Customer</th>
          <th class="text-start">Phone</th>
        <?php if ($this->session->userdata('admin') === true): ?>
          <th class="text-start">State</th>
        <?php endif; ?>
          <th width="60px">Total</th>
          <!-- <th width="60px">status</th> -->
          <th>Date</th>
          <th width="20px"></th>
        </tr>
      </thead>
      <tbody id="drop-off">
    <?php } ?>
      <?php
        $c = 0;
        foreach ($data as $row) { 
          $c++;
          $left = '+'. $o[$row['customer']][0] .' days';
          $left = strtotime($left, strtotime($row['date'])) - time();
          $left = intval($left / 86400);
          $total = $totals[$row['voucher']] ?? $row['total'];
          $tag = ($row['paid'] == 1) ? 'success' : 'danger';
          $status = ($row['paid'] == 1) ? 'completed' : $left.' Days Left';
      ?>
        <tr>
          <td width="20px" class="text-end"><?= $c; ?></td>
          <td><b>#<?= $row['voucher']; ?></b></td>
          <td class="text-nowrap"><?= $o[$row['customer']][1]; ?></td>
          <td class="text-nowrap"><?= $o[$row['customer']][2]; ?></td>
        <?php if ($this->session->userdata('admin') === true): ?>
          <td class="text-nowrap"><?= $s[$row['state']]; ?></td>
        <?php endif; ?>
          <td class="text-nowrap text-end"><span class="money"><?= number_format($total); ?></span></td>
          <!-- <td class="text-nowrap" style="font-size: .8rem"><span class="alert p-1 alert-<?= $tag ?>"><?= $status; ?></span></td> -->
          <td class="text-nowrap text-center"><?= date('d M, Y', strtotime($row['date'])); ?></td>
          <td class="dropstart py-1">
            <button class="btn btn-sm" data-bs-toggle="dropdown"><i class="bi-three-dots-vertical"></i></button>
            <div class="dropdown-menu">
              <div class="d-flex border-bottom text-nowrap p-0">
                <a href="#" data-ref="<?= base_url('ipanel/put/supply_client?action=open&target='.$row['token']); ?>" class="link p-3 border-end sub-url" title="Open Supply Data"><i class="bi-folder2-open"></i>Open</a><a href="<?= base_url('generate/invoice.aspx?action=supply&target='.$row['token']); ?>" class="link p-3" title="Generate Invoice"><i class="bi-clipboard2-check-fill"></i>Invoice</a>
              </div>
              <div class="d-flex border-bottom text-nowrap p-0">
                <a href="<?= base_url('ipanel/track.aspx?target='.$row['token']); ?>" class="link p-3 border-end" title="Track Supply"><i class="bi-link-45deg"></i>Track</a><a href="<?= base_url('ipanel/payment.aspx?voucher='.$row['voucher']); ?>" class="link p-3"><i class="bi-cash"></i> Payment </a>
              </div>
              <div class="d-flex text-nowrap p-0">
                <a href="<?= base_url('ipanel/pop/supply_client?token='.$row['token']); ?>" class="link p-3 border-end" data-bs-toggle="modal" title="Edit Supply Details" data-bs-target="#mModal" data-title="Edit Supply Details"><i class="bi-pen"></i>Edit</a><a href="<?= base_url('ipanel/drop/supply_client?token='.$row['token']); ?>" class="link p-3" data-bs-toggle="modal" data-bs-target="#mModalX"><i class="bi-trash3-fill text-danger"></i> Delete
                  <span class="msg d-none">This operation will remove all data for Supply with details at row: <b><?= $c; ?></b><br />Sure to continue?</span>
                </a>
              </div>
            </div>
          </td>
        </tr>
      <?php } ?>
      <?php if (count($data) == 0) { ?>
        <tr><td colspan="8" class="p-5 text-danger text-center">no data available</td></tr>
      <?php } ?>
    <?php if ($tmp === '') { ?>
      </tbody>
    </table>
  </div>
</div>
  <?php } ?>
<?php 
  else:
    if ($tmp === '') {
?>
<div class="px-2 px-md-4 banner">
  <div class="pb-2 crumb">
    <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
    <!-- <a href="<?= base_url('ipanel/supply_client.aspx');?>">Supply</a><i class="ix ix-chevron"></i> -->
    <a href="javascript:void(0)" class="sub-url" data-ref="<?= base_url('ipanel/put/supply_client?action=close'); ?>">Supply Client</a><i class="ix ix-chevron"></i>
    <a href="javascript:void(0)">Create Supply</a>
  </div>
</div>
<div class="container p-0">
  <div class="row g-0">
    <div class="col-md-6 border-end">
      <div class="container p-5">
        <div class="container p-3 border rounded">
          <div class="p-3">
            <h5 class="text-center pb-3"><b>Create Supply</b></h5>
            <table class="table border">
              <tbody>
                <tr>
                  <td><b>VOUCHER</b></td>
                  <td class="text-end">#<?= $_SESSION['prosc_supply_client_key']; ?></td>
                </tr>
                <tr>
                  <td><b>DATE</b></td>
                  <td class="text-end"><?= date('d F, Y', strtotime($_SESSION['prosc_supply_client_date'])); ?></td>
                </tr>
                <tr>
                  <td><b>BUYER</b></td>
                  <td class="text-end"><?= $_SESSION['prosc_supply_client_name']; ?></td>
                </tr>
                <tr>
                  <td><b>PHONE</b></td>
                  <td class="text-end"><?= $_SESSION['prosc_supply_client_phone']; ?></td>
                </tr>
              </tbody>
            </table>
            <form action="#" id="adder" class="kForm position-relative" autocomplete="off">
              <div id="loader" class="out"></div>
              <div class="form-group mb-3">
                <select id="select" class="form-select" name="item">
                  <option class="d-none" value="">Select Product ...</option>
            <?php foreach ($items as $row) { ?>
                  <option id="i<?= $row['token'] ?>" value="<?= $row['token'] ?>"><?= $row['name']; ?> (<?= $t[$row['category']] ?>)</option>
            <?php } ?>
                </select>
              </div>
              <div class="form-group mb-3">
                <label>Quantity</label>
                <input type="number" class="form-control" min="1" name="quantity" id="qty" required />
              </div>
              <div class="form-group mb-3">
                <label>&nbsp; Price (Per Unit)</label>
                <select id="price" class="form-control" disabled>
                  <option class="d-none">0</option>
            <?php foreach ($items as $row) { ?>
                  <option id="p<?= $row['token'] ?>" value="<?= $row['token'] ?>"><?= $row['price']; ?></option>
            <?php } ?>
                </select>
              </div>
              <div class="form-group mb-3"> 
                <div class="form-check form-switch">
                  <input class="form-check-input" type="checkbox" id="manual" name="setman" />
                  <label class="form-check-label" for="manual">Set Price Manually</label>
                </div>
              </div>
              <div class="form-group mb-3 d-none">
                <label>Price (Per Unit)</label>
                <input type="number" class="form-control" min="1" id="manprice" name="manual_price" />
              </div>
              <div class="text-end">
                <button class="btn submit" id="send" data-ref="<?= base_url('ipanel/post/supply_client'); ?>"><span>Add</span> Product</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-6">
      <div class="container py-5 px-4">
        <div class="container p-3 border rounded">
          <h5 class="text-center pb-3"><b>Preview</b></h5>
          <div class="table-responsive px-0 px-md-3">
            <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
              <thead>
                <tr class="text-center">
                  <th width="20px">#</th>
                  <th>Product</th>
                  <th>Price (PU)</th>
                  <th>Units</th>
                  <th width="60px">Total</th>
                  <th width="60px"></th>
                </tr>
              </thead>
              <tbody id="drop-off">
  <?php } ?>
      <?php
        $c = 0; $sum = 0;
        foreach ($data as $row) { 
          $c++;
          $sum += $row['price'] * $row['quantity'];
      ?>
                <tr class="text-end text-danger<?= $row['save'] == 1 ? ' text-danger' : '' ?>">
                  <td width="20px"><?= $c; ?></td>
                  <td class="text-nowrap text-start"><?= $i[$row['item']]; ?></td>
                  <td><span class="money"><?= number_format($row['price'],2); ?></span></td>
                  <td><?= number_format($row['quantity'],0); ?></td>
                  <td class="text-end"><span class="money"><?= number_format(($row['price'] * $row['quantity']), 2); ?></span></td>
                  <td class="text-nowrap py-1">
                    <a href="javascript:void(0)" class="btn btn-sm mod" data-item="<?= $row['item']; ?>" 
                      data-ref="<?= $row['token']; ?>" data-count="<?= $row['quantity']; ?>"><i class="bi-pencil-square"></i></a>
                    <a href="<?= base_url('ipanel/drop/supply_client?token='.$row['token']); ?>" class="btn btn-sm text-danger" data-bs-toggle="modal" data-bs-target="#mModalX">
                      <i class="bi-trash3-fill"></i>
                      <span class="msg d-none">You are about to remove <b><?= $i[$row['item']]; ?></b> from this Supply<br />Sure to continue?</span>
                    </a>
                  </td>
                </tr>
      <?php } ?>
      <?php if (count($data) == 0) { ?>
            <tr><td colspan="6" class="p-5 text-danger text-center">no data available</td></tr>
      <?php } else { ?>
                <tr>
                  <td colspan="4" class="text-end"><b>Total:</b></td>
                  <td colspan="2"><span class="money"><?= number_format($sum, 2); ?></span></td>
                </tr>
                <tr style="background-color: #fff!important;">
                  <td colspan="6">
                    <div class="py-2 text-end">
                      <a href="#" class="btn btn-supreme expand sub-url p-3" data-ref="<?= base_url('ipanel/put/supply_client?action=close'); ?>">Complete Entry</a>
                    </div>
                  </td>
                </tr>
      <?php } ?>
        <?php if ($tmp === '') { ?>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  <span id="baseX" class="d-none"><?= base_url('ipanel/put/supply_client'); ?></span>
</div>
<script type="text/javascript" src="<?= base_url('assets/js/'. md5('er_supply') .'.js'); ?>" defer></script>
<script type="text/javascript">
  $('#adder').on('reset', function() {
    $('#manprice').parent().addClass('d-none');
  });
  $('#manual').on('change', function() {
    $('#manprice').parent().toggleClass('d-none');
  })
</script>
  <?php } ?>
<?php endif ?>
<?php } ?>