<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php if (is_array($data)) { 
  $s = [];
  $total = 0;
  $warehouse_sales  = [];
  foreach ($outlets as $key) $outlet[$key['token']] = $key['name'];
  foreach ($users as $key) $user[$key['token']] = $key['name'];
  foreach ($users as $key) $user_station[$key['warehouse']] = $key['name'];
  foreach ($items as $key)     $item[$key['token']]       = $key['name'];
  foreach ($items as $key)     $itemx[$key['token']]       = $key['price'];



  $w_sales = [];
  foreach($data as $key => $value){
    
    if(! array_key_exists($value['item'], $w_sales) ){
      $w_sales[$value['item']] = array(
        'quantity'        => $value['quantity'],
        'price'    => $value['price'] 
      );
    }else{
      $w_sales[$value['item']] = array(
        'quantity' => $w_sales[$value['item']]['quantity'] + $value['quantity'],
        'price'    =>  $w_sales[$value['item']]['price'] 
      );
    }
  
  }
  if($sales != false){
  foreach ($sales as $key) $total = $key['total'] + $total;
  foreach (@$sales as $key){ 
    
    if  (@$warehouse_sales[$key['warehouse']] == false){
      $warehouse_sales[$key['warehouse']] = $key['total'];
    }else{
      $warehouse_sales[$key['warehouse']] = $warehouse_sales[$key['warehouse']] + $key['total'];
    }
  
  
  }
}
  if ($tmp === ''):
    $ped = $this->session->userdata('prosc_user_sales_date');

  $x = $_SESSION['prosc_sales_report_x'] ?? '';
  $y = $_SESSION['prosc_sales_report_y'] ?? '';
  $dated = (!isset($_SESSION['prosc_sales_report_x'])) ? date('d M Y', strtotime($ped)) : (date('d M Y', strtotime($x)) .' - '. date('d M Y', strtotime($y))); 

?>
<div class="px-2 px-md-4 mb-3 banner d-print-none">
  <div class="pb-2 crumb">
      <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
      <a href="javascript:void(0)">Staff</a> <i class="ix ix-chevron"></i> <a href="javascript:void(0)">Staff Sales Performance</a> 
  </div>
  <div class="pb-2 ms-auto">
      <div class="btn-group bg-light rounded px-2">
        <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
        <a href="<?= base_url('filter/'.$page) ?>" class="btn" data-title="Filter" data-bs-toggle="modal" data-bs-target="#mModal" ><i class="bi-filter"></i></a>
        <a class="btn btn-supreme rounded-0" id="download2x" onclick="window.print()">
      <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-cloud-arrow-down-fill" viewBox="0 0 16 16">
        <path d="M8 2a5.53 5.53 0 0 0-3.594 1.342c-.766.66-1.321 1.52-1.464 2.383C1.266 6.095 0 7.555 0 9.318 0 11.366 1.708 13 3.781 13h8.906C14.502 13 16 11.57 16 9.773c0-1.636-1.242-2.969-2.834-3.194C12.923 3.999 10.69 2 8 2zm2.354 6.854-2 2a.5.5 0 0 1-.708 0l-2-2a.5.5 0 1 1 .708-.708L7.5 9.293V5.5a.5.5 0 0 1 1 0v3.793l1.146-1.147a.5.5 0 0 1 .708.708z"/>
      </svg> Download
    </a>
      </div>
  </div>
</div>
<div class="d-flex justify-content-end d-print-none pb-0 align-items-center ms-auto md-3 ">
<?php if (!isset($_SESSION['prosc_user_sales_x'])): ?>
    <button class="btn btn-outline-supreme-2 pe-4 sub-url" data-ref="<?= base_url('navigate/user_sales/prev'); ?>"><i class="bi-chevron-left"></i> Prev</button>
    <button class="btn mx-3"><?= (date('Y-m-d') == $ped OR $ped == '') ? 'Today' : date('d M, Y', strtotime($ped)); ?></button>
    <button class="btn btn-outline-supreme-2 ps-4 sub-url" data-ref="<?= base_url('navigate/user_sales/next'); ?>" 
      <?= (date('Y-m-d') == $ped OR $ped == '') ? 'disabled' : ''; ?>>Next <i class="ix ix-chevron"></i></button>
<?php else: ?>
    <div class="btn"><?= date('d M, Y', strtotime($_SESSION['prosc_user_sales_x'])) ?> &nbsp; - &nbsp; <?= date('d M, Y', strtotime($_SESSION['prosc_user_sales_y'])) ?></div>
<?php endif ?>
  </div>
<div class="px-2 px-md-4 mb-4 banner mx-auto" style="justify-content: space-around; align-items: center ;font-weight: 800; ">
    <div> <?php echo @$user[$tag]; echo '<p style="text-align: center">('. $outlet[$tok] .")</p>";    ?> </div>    
    <div>Today: <?php 
              if (!isset($_SESSION['prosc_user_sales_x'])){
                    echo date('d M, Y', strtotime($ped));
                    }else{ 
                      echo date('d M, Y', strtotime($_SESSION['prosc_user_sales_x'])).
                      " &nbsp - &nbsp ". date('d M, Y', strtotime($_SESSION['prosc_user_sales_y'])) ;
                    } 
                      ?></div>  
    <div>   <!-- Total Sales: -->  <?= number_format($total, 2);  ?> </div> 
        
  </div>
  
<div class="table-responsive">
  <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
    <thead>
      <tr class="text-center">
      <th width="20px">#</th>
      <th class="text-start">Product Name</th>
      <th class="text-start">Quantity Sold</th>
      <th class="text-start">Price (Per Unit)</th>
      <th class="text-start">Amount</th>
      </tr>
    </thead>
    <tbody id="drop-off">
<?php endif ?>
  <?php
    $c = 0;
    foreach ($w_sales as $row => $values) { 
      $c++;
     
  ?>
      <tr>
        <td width="20px" class="text-end"><?= $c; ?></td>
        <td class="text-nowrap"><?= @$item[$row] ?? "*" ?></td>
        <td class="text-nowrap"><?= @$values['quantity']; ?></td>
        <td class="text-nowrap"><?= number_format($values['price'],2); ?></td>  
        <td class="text-nowrap"><?= number_format(($values['quantity'] * $values['price']), 2); ?></td>
      </tr>
  <?php } ?>
  <?php if (count($data) == 0) { ?>
      <tr><td colspan="7" class="p-5 text-danger text-center">no data available</td></tr>
  <?php } ?>
<?php if ($tmp === ''): ?>
    </tbody>
  </table>
  


  


</div>
<?php endif ?>
<?php } ?>
