<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<form action="#" onsubmit="return false" id="adder" autocomplete="off">
  <div class="form-group mb-3">
    <label>Name </label>
    <input type="text" class="form-control" value="<?= $data->name ?? '' ?>" name="name" required />
  </div>
  <div class="form-group mb-3">
    <label>Description <span class="text-danger text-sm">(optional)</span></label>
    <textarea class="form-control" name="description" required><?= $data->description ?? '' ?></textarea>
  </div>
  <div class="form-check mb-3">
    <input class="form-check-input" type="checkbox" id="c1"<?= ($data && $data->parent != '') ? 'checked' : '' ?> 
      onchange="$('#parent').toggleClass('d-none'); $('#parent select').val('')">
    <label class="form-check-label" for="c1">Make this a Sub Category</label>
  </div>
  <div class="form-group mb-3 <?= ($data && $data->parent != '') ? '' : 'd-none' ?>" id="parent">
    Select Parent Category
    <select class="form-select" name="parent">
      <option value="" class="d-none">...</option>
    <?php foreach ($cats as $row): ?>
      <option value="<?= $row['token']; ?>" <?= ($data && $data->parent == $row['token']) ? 'selected' : '' ?>><?= $row['name'] ?></option>
    <?php endforeach ?>
    </select>
  </div>
  <?php $ref = (is_object($data)) ? 'put/inventory_category?target='.$data->token : 'post/inventory_category'; ?>
  <button class="btn btn-supreme w-100 submit" data-content="#drop-off" data-form="#adder" data-ref="<?= base_url('ipanel/'.$ref); ?>">Save</button>
</form>
