<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<div class="me">
  <div class="container px-0 sid">
    <div class="text-start"><a href="javascript:void(0)" class="mail btn btn-dark"><i class="bi-arrow-clockwise"></i> Reply</a></div>
    <div class="d-flex justify-content-between pt-3">
      <div>From: <span class="text-danger"><?= $data->name ?></span></div>
      <div>Email: <em class="text-primary"><?= $data->remail; ?></em></div>
    </div>
    <p class="p-3 my-3 text-justify" style="border-radius: 8px; box-shadow: 0 0 3px #ccc, 0 0 30px var(--background-shade) inset;"><?= nl2br($data->message); ?></p>
    <p class="text-end my-0 text-secondary">Received: <em><?= date('d M, Y. h:iA', strtotime($data->created_at)); ?></em></p>
  </div>
  <div class="container px-0 sid">
    <div class="text-end pb-3"><a href="javascript:void(0)" class="mail btn btn-dark"><i class="bi-eye"></i> Review</a></div>
    <form class="myForm" action="?" method="post" autocomplete="off">
      <div class="form-group mb-3">
        Reply Mail
        <input type="email" readonly="readonly" name="email" class="form-control py-2" value="<?= $data->remail; ?>" />
      </div>
      <div class="form-group mb-3">
        Subject
        <input type="text" name="subject" class="form-control py-2" value="Re: Complaint on <?= ucwords($data->type) ?>" />
      </div>
      <div class="form-group mb-3">
        Message
        <textarea name="message" class="form-control py-2" rows="7"><?= $reply->message ?? ''; ?></textarea>
      </div>
      <button class="btn btn-primary hover-cast submit" data-ref="<?= base_url('ipanel/post/message?target='.$data->token); ?>"><i class="bi-send-fill"></i> Send</button>
    </form>
  </div>
</div>
<script type="text/javascript">
  $('.me .sid:nth-child(2)').hide();
  $('.mail').click(function(){$('.sid').slideToggle(200)});
</script>