<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<form action="#" onsubmit="return false" id="adder" autocomplete="off">
    <div class="form-group mb-3">
        <label>Country</label>
        <input type="text" class="form-control" value="<?= $country->value ?? '' ?>" name="name" disabled />
    </div>

    <div class="form-group mb-3">
        <label> &nbsp; &nbsp; Region/State</label>
        <select class="form-control" name="region" required>
            <option value="" class="d-none">Select Region/State...</option>
            <?php foreach ($regions as $row) : ?>
                <option value="<?= $row['name'] ?>" class="outlets" <?= $data && $data->region == $row['name'] ? 'selected' : ''; ?>><?= $row['name'] ?></option>
            <?php endforeach ?>
        </select>
    </div>

    </div>
    <div class="form-group mb-3">
        <label>
            Fee
            <?php if ($currency == "GBP"): ?>
                (<i class="bi bi-currency-pound"></i>)
            <?php else: ?>
                (<span class="money"></span>)
            <?php endif; ?>
        </label>
        <input type="text" name="fee" class="form-control" placeholder="Enter Region/State fee" value="<?= $data->fee ?? ''; ?>" required />
    </div>



    <?php $ref = (is_object($data)) ? 'put/shipping_settings?target=' . $data->token : 'post/shipping_settings'; ?>
    <button class="btn btn-supreme w-100 submit" data-ref="<?= base_url('ipanel/' . $ref); ?>">Save</button>
</form>