<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php $flie = $this->mil_model->find('savings', ['token'=>$thisid]) ?>
<?php if ($face == '') { ?>
<?= form_open('savings', ['class'=>'myForm']); ?>
	<div class="form-group mb-3">
    <label class="sr-only">Account Name</label>
    <input class="form-control" type="text" name="name" placeholder="Account Name" value="<?= $flie->name ?? ''; ?>" required />
  </div>
  <div class="form-group mb-3">
    <label class="mb-1 mt-2">Fix Date <span class="border border-warning px-2 rounded ml-1" title="Date at which your funds should be released">?</span></label>
    <input type="text" class="form-control py-2" name="dated" data-provide="datepicker" data-date-start-date="<?= date('Y-m-d', strtotime('+1 day')); ?>" value="<?= $flie->expiry ?? date('Y-m-d', strtotime('+1 day')); ?>" data-date-autoclose="true" placeholder="yyyy-mm-dd" data-date-format="yyyy-mm-dd" readonly="readonly" />
  </div>
	<button type="submit" class="btn btn-supreme w-100 submit" data-ref="<?= base_url('props/savings/'.$thisid); ?>">
    <i class="fa fa-refresh"></i> <?= ($flie !== false) ? 'Update' : 'Save'; ?>
  </button>
<?= form_close();?>
<link rel="stylesheet" href="<?= base_url('assets/datepicker/bootstrap-datepicker3.standalone.min.css'); ?>" />
<script type="text/javascript" src="<?= base_url('assets/datepicker/bootstrap-datepicker.min.js'); ?>"></script>
<?php } elseif ($face == 'transfer' && $flie !== false) { ?>
<?= form_open('savings', ['class'=>'myForm']); ?>
  <div class="form-group mb-3">
    Transfer Amount
    <input type="number" name="amount" class="form-control" />
  </div>
  <div class="form-group mb-3">
    <select class="form-select sg" name="target">
      <option value="" class="d-none">Select Target ...</option>
      <option value="0" data-ref="m1">My Savings</option>
      <option value="1" data-ref="m2">3rd Party Savings</option>
    </select>
  </div>
<?php $saves = $this->mil_model->find_all('savings', ['user'=>$flie->user, 'token !='=>$thisid]); ?>
  <div class="form-group mb-3 m m0">
    <select class="form-select" name="savings">
      <option value="" class="d-none">Select Savings ...</option>
  <?php if ($saves !== false) { ?>
    <?php foreach ($saves as $row) { ?>
      <option value="<?= $row['trace_key'] ?>"><?= $row['name']; ?></option>        
    <?php } ?>
  <?php } ?>
    </select>
  </div>
  <div class="form-group mb-3 m m1">
    <textarea class="form-control" placeholder="3rd Party miLife Account ID" name="beneficiary"></textarea>
  </div>
  <button type="submit" class="btn btn-supreme w-100 submit" data-ref="<?= base_url('props/savings/transfer?target='.$thisid); ?>">
    <i class="fa fa-refresh"></i> <?= ($flie !== false) ? 'Update' : 'Save'; ?>
  </button>
<?= form_close();?>
<script type="text/javascript">
  $('.m').hide();
  $('.sg').change(function(){
    $('.m').hide();
    k = '.m' + $(this).val(); 
    $(k).slideDown();
  });
</script>
<?php } ?>
