<?php
defined('BASEPATH') or exit('No direct script access allowed');

$route['default_controller'] = 'login';
$route['404_override'] = '';
$route['translate_uri_dashes'] = FALSE;

$route['signin']                         = 'login/signin';
$route['pos']                            = 'Sales_POS_customer';
$route['ipanel']                         = 'admin_home';
$route['ipanel/(:any)']                  = '$1' . '_control';
$route['ipanel/put_status/(:any)']       = '$1' . '_control/update_status';
$route['ipanel/put/(:any)']              = '$1' . '_control/update';
$route['ipanel/open/(:any)']              = '$1' . '_control/open';
$route['ipanel/post/(:any)']             = '$1' . '_control/create';
$route['ipanel/drop/(:any)']             = '$1' . '_control/delete';
$route['ipanel/pop/(:any)']              = '$1' . '_control/popup';
$route['reset/(:any)']                   = '$1' . '_control/unsess';
$route['navigate/(:any)/(:any)']         = '$1' . '_control/navigate/$2';
$route['filter/(:any)']                  = 'filter_control/filter/$1';
$route['generate/download']              = 'receipt_control/download';
$route['generate/(:any)']                = 'receipt_control/generate/$1';
$route['stock_limit']                    = 'items_control/stock';
$route['theme']                          = 'login/theme';
$route['signout']                        = 'login/signout';
