<?php
defined('BASEPATH') or exit('No direct script access allowed');

class POS_control extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();

        if ($this->session->userdata('prosc_type') == 3)
            redirect(base_url(), 'refresh');

        $this->load->model('pos_model');
        $this->load->model('dashboard_model');
    }

    public function index()
    {
        $this->pager();
    }

    function pager($tmp = '')
    {
        if (!$this->input->is_ajax_request() && strstr(current_url(), '.aspx') == '') redirect(base_url('not_found.aspx'), 'refresh');
        $cat = $this->input->get('category');
        $currency = $this->dashboard_model->_get_currency() ?: "";
        $categories_with_item_count = $this->pos_model->get_random_categories_with_item_count() ?: [];
        $all_items_count = $this->pos_model->get_all_items_count() ?: "";
        $available_items = $this->pos_model->get_available_items($cat) ?: [];
        if ($tmp == '') $this->load->view('default', ['page' => 'pos', 'data' => [$categories_with_item_count, $available_items, $currency, $all_items_count], 'tmp' => $tmp]);
        else return $this->load->view('admin/pos', ['data' => [$categories_with_item_count, $available_items, $currency, $all_items_count], 'tmp' => $tmp], true);
    }
}
