<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Staff_setting_control extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();

        if ($this->session->userdata('prosc_admin') !== true)
            redirect(base_url(), 'refresh');

        $this->load->model('staff_setting_model');
    }

    public function index()
    {
        $this->pager();
    }

    function pager($tmp = '')
    {
        if (!$this->input->is_ajax_request() && strstr(current_url(), '.aspx') == '') redirect(base_url('not_found.aspx'), 'refresh');
        $data = $this->staff_setting_model->_get_all() ?: [];
        $states = $this->staff_setting_model->_get_states() ?: [];
        $outlets = $this->staff_setting_model->_get_outlets() ?: [];
        $spo = $this->staff_setting_model->_get_spo() ?: [];
        $hss = $this->staff_setting_model->_get_hss() ?: [];
        $hpo = $this->staff_setting_model->_get_hpo() ?: [];
        if ($tmp == '') $this->load->view('default', ['page' => 'staff_setting', 'data' => $data, 'spo' => $spo, 'hss' => $hss, 'hpo' => $hpo, 'states' => $states, 'outlets' => $outlets, 'tmp' => $tmp]);
        else return $this->load->view('admin/staff_setting', ['data' => $data,  'spo' => $spo, 'hss' => $hss, 'hpo' => $hpo, 'states' => $states, 'outlets' => $outlets, 'tmp' => $tmp], true);
    }
}
