<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (is_array($data)) {
  if ($tmp === '') :
?>
    <div class="px-2 px-md-4 banner">
      <div class="pb-2 crumb">
        <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
        <a href="javascript:void(0)">Inventory managment</a><i class="ix ix-chevron"></i>
        <a href="javascript:void(0)">Inventory Category</a>
      </div>
      <div class="pb-2 banner border-0" style="margin-left: auto;">
        <div class="btn-group bg-light rounded px-2">
          <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
        </div>
        <a href="<?= base_url('ipanel/pop/categories'); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" data-title="New Category"><i class="bi-plus-lg"></i> Add Inventory Category</a>
      </div>
    </div>
    <div class="container-fluid pt-2">
      <div class="table-responsive">
        <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
          <thead>
            <tr class="text-center">
              <th width="20px">#</th>
              <th class="text-start">Name</th>
              <th class="text-start">Description</th>
              <th class="text-start">Created</th>
              <th width="60px">Action</th>
            </tr>
          </thead>
          <tbody id="drop-off">
          <?php endif ?>
          <?php
          $c = 0;
          foreach ($data as $row) {
            $c++;
          ?>
            <tr>
              <td width="20px"><?= $c; ?></td>
              <td><?= $row['name']; ?></td>
              <td class="text-nowrap"><?= $row['description']; ?></td>
              <td class="text-nowrap"><?= date('d M, Y', strtotime($row['created_at'])); ?></td>
              <td class="dropdown py-1 text-nowrap">
                <a href="<?= base_url('ipanel/pop/categories?token=' . $row['token']); ?>" class="btn btn-sm btn-hover" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Edit Category"><i class="bi-pencil-square"></i></a>
                <a href="<?= base_url('ipanel/drop/categories?token=' . $row['token']); ?>" class="btn btn-sm btn-hover" data-bs-toggle="modal" data-bs-target="#mModalX">
                  <i class="bi-trash3-fill text-danger"></i>
                  <span class="msg d-none">This operation will remove <b><?= $row['name']; ?></b> from the system<br />Sure to continue?</span>
                </a>
              </td>
            </tr>
          <?php } ?>
          <?php if (count($data) == 0) { ?>
            <tr>
              <td colspan="5" class="p-5 text-danger text-center">no data available</td>
            </tr>
          <?php } ?>
          <?php if ($tmp === '') : ?>
          </tbody>
        </table>
      </div>
    </div>
  <?php endif ?>
<?php } ?>
<style type="text/css">
  .tag {
    display: inline-block;
    width: 30px;
  }
</style>