<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (is_array($data)) {
  $s = $o = [];
  foreach ($users as $key) $s[$key['token']] = $key['name'];
  foreach ($outlets as $key) $o[$key['token']] = $key['name'];
  if ($tmp === '') :
?>

    <div class="px-2 px-md-4 banner">
      <div class="pb-2 crumb">
        <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
        <a href="javascript:void(0)">Customers</a>
      </div>
      <div class="pb-2 ms-auto">
        <?php if ($this->session->userdata('prosc_admin') === true) : ?>
          <a href="<?= base_url('ipanel/pop/debtors'); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Add New Customer"><i class="bi-plus-lg"></i> Add Customer</a>
        <?php endif ?>
      </div>
    </div>

    <div class="container-fluid pt-3">
      <div class="table-responsive text-nowrap">
        <table class="table datatable<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
          <thead>
            <tr>
              <th class="text-center" width="20px">#</th>
              <th>Customer ID</th>
              <th>Customer</th>
              <th>Customer Type</th>
              <th>Phone Number</th>
              <th>Email address</th>
              <?php if ($this->session->userdata('prosc_admin') == true) : ?>
                <th class="text-center" width="20px"></th>
              <?php endif ?>
            </tr>
          </thead>
          <tbody id="drop-off">
          <?php endif ?>
          <?php
          $c = 0;
          foreach ($data as $row) {
            $c++;
            $serial = strlen($row['id']) < 3 ? str_repeat('0', 3 - strlen($row['id'])) : '';
            $serial .= $row['id'];
          ?>
            <tr>
              <td width="20px" class="text-end"><?= $c; ?></td>
              <td><?= $row['type'] == 0 ? 'SCC' : ($row['type'] == 1 ? 'WIC' :  'X-Online'); ?> <?= $serial; ?></td>
              <td><?= substr($row['name'], 0, 26); ?></td>
              <td><?= $row['type'] == 0 ? 'Special Client' : ($row['type'] == 1 ? 'Walk-in' :  'Online'); ?></td>
              <td><?= $row['phone']; ?></td>
              <td><?= $row['email']; ?></td>
              <?php if ($this->session->userdata('prosc_admin') == true) : ?>
                <td class="dropstart py-2">
                  <button class="btn btn-sm" data-bs-toggle="dropdown"><i class="bi-three-dots-vertical"></i></button>
                  <div class="dropdown-menu">
                    <a href="<?= base_url('ipanel/debtors.aspx?k=history&target=' . $row['token']); ?>" class="dropdown-item"><i class="bi-clock-history"></i> Supply History</a>
                    <a href="<?= base_url('ipanel/pop/debtors?token=' . $row['token']); ?>" class="dropdown-item" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Edit Client"><i class="bi-pencil-square"></i> Edit</a>
                    <a href="<?= base_url('ipanel/drop/debtors?token=' . $row['token']); ?>" class="dropdown-item text-danger" data-bs-toggle="modal" data-bs-target="#mModalX">
                      <i class="bi-trash3-fill"></i> Remove
                      <span class="msg d-none">This operation will remove <b><?= $row['name']; ?></b> from the system<br />Sure to continue?</span>
                    </a>
                  </div>
                </td>
              <?php endif ?>
            </tr>
          <?php } ?>
          <?php if ($tmp === '') : ?>
          </tbody>
        </table>
      </div>
    </div>
  <?php endif ?>
<?php } ?>