<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php if (is_array($data)) { 
  foreach ($outlets as $key)   $outlet[$key['token']]       = $key['name'];
  foreach ($users as $key)     $user[$key['token']]       = $key['name'];
  foreach ($items as $key)     $item[$key['token']]       = $key['name'];
  foreach ($items as $key)     $itemx[$key['token']]       = $key['price'];
  if ($tmp === ''):

?>
<div class="px-2 px-md-4 banner">
  <div class="pb-2 crumb">
    <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
    <?php if ($this->session->userdata('prosc_admin') === true): ?>
    <a href="<?= base_url('ipanel/settings.aspx'); ?>">Supply</a><i class="ix ix-chevron"></i>
    <?php endif ?>
    <a href="javascript:void(0)">Supply Request</a>
  </div>

  <div class="pb-2 banner border-0" style="margin-left: auto;">
    <div class="btn-group bg-light rounded px-2">
      <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
      <a href="<?= base_url('filter/'.$page) ?>" class="btn" data-title="Filter" data-bs-toggle="modal" data-bs-target="#mModal" ><i class="bi-filter"></i></a>
    </div>
  <?php if ($this->session->userdata('prosc_admin') !== true): ?>
    <a href="<?= base_url('ipanel/pop/outlet_request'); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" 
      data-title="New Request"><i class="bi-plus-lg"></i> Add Request</a>
  <?php endif ?>
  </div>
</div>
<div class="container-fluid pt-3">
  <div class="table-responsive">
    <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
      <thead>
        <tr class="text-start">
        <th width="20px">#</th>
        <th class="text-start">Request ID</th>
          <th class="text-start">Item Name</th>
          <th width="120px">Amount Total</th>
          <th class="text-start">Created Date</th>
          <th width="60px">Status</th>
          <th width="60px"></th>
        </tr>
      </thead>
      <tbody id="drop-off">
  <?php endif ?>
  <?php
    $c = 0;
    foreach ($data as $row) { 
      $c++;
      $msg = array_filter(json_decode($row['message'], true));
      $tag = ($row['approve'] == 0) ? 'primary' : (($row['approve'] == 1) ? 'success' : 'light');
      $status = $row['approve'] == 0 ? 'Awaiting approval' : ($row['approve'] == 1 ? '<i class="bi-check2"></i> Approved' : '<i class="bi-x-lg"></i> Completed');

      // $status = $row['approve'] == 0 ? '<p style="background-color: #f7f7f9; color:#6f42c1; font-size: 12px;"> Awaiting approval </p>' : ($row['approve'] == 1 ? '<p style="background-color: #C1FFD5; color:#35824E; font-size: 12px;" ><i class="bi-check2 text-success"></i> Approved </p>' : '<p style="background-color: #F8F8F8; color:black; font-size: 12px;"><i class="bi-check2-all text-primary"></i> Completed</p>');
      $content = ($msg['purpose'] == 0) ? substr($msg['message'], 0, 30) : ('Order placement for '. count($msg['message']) .' Item(s)');
  ?>
        <tr>
          <td width="20px" class="text-end"><?= $c; ?></td>
          <td class="text-nowrap"><?= $row['voucher'] ?></td>
          <td >
        <?php 
          foreach($msg as $key => $val){
            if(is_array($val)){
              $e = count($val);
              foreach($val as $i => $x){
                echo $item[$i] . (($e > 1) ? ", " : "");
              }
            }
          };
        ?>
          </td>
          <td class="text-nowrap text-end">
        <?php 
          foreach($msg as $key => $val){
            if(is_array($val)){
              $sum = 0;
              foreach($val as $i => $x){
                $d = json_decode($itemx[$i],true);
                $sum = $sum + $d['a577f519b58b533e400cf28a7464576babf92121'][0] * $x;
              }
              echo "₦ ".number_format($sum, 2);
            }
          } 
        ?>
        
          </td>
          <td class="text-nowrap"><?= date('d M, Y', strtotime($row['created_at'])); ?></td>
          <td class="text-nowrap"><span class="badge text-bg-<?= $tag ?>"><?= $status; ?></span></td>
          <td class="text-nowrap py-2">
          <?php if ($row['approve'] != 1): ?>
            <a href="<?= base_url('ipanel/pop/outlet_request?token='.$row['token']); ?>" class="btn btn-sm" data-bs-toggle="modal" data-bs-target="#mModal" 
              data-title="Modify Request"><i class="bi-pencil-square"></i></a>
            <a href="<?= base_url('ipanel/drop/outlet_request?token='.$row['token']); ?>" class="btn btn-sm text-danger" data-bs-toggle="modal" data-bs-target="#mModalX">
              <i class="bi-trash3-fill"></i>
              <span class="msg d-none">This operation will remove request at row: <b><?= $c; ?></b> from the system<br />Sure to continue?</span>
            </a>
          <?php endif ?>
          </td>
        </tr>
    <?php } ?>
    <?php if (count($data) == 0) { ?>
        <tr><td colspan="7" class="p-5 text-danger text-center">no data available</td></tr>
    <?php } ?>
  <?php if ($tmp === ''): ?>
      </tbody>
    </table>
  </div>
</div>
<?php endif ?>
<?php } ?>
<style type="text/css">p {margin: 0}</style>