<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (is_array($data)) {
  $s = $i = $o = $t = [];
  foreach ($outlets as $key) $o[$key['token']] = (($key['status'] == 1) ? '<span class="text-danger">*</span>' : '') . $key['name'];
  foreach ($states as $key) $s[$key['token']] = (($key['status'] == 1) ? '<span class="text-danger">*</span>' : '') . $key['name'];
  foreach ($items as $key) $i[$key['token']] = (($key['status'] == 1) ? '<span class="text-danger">*</span>' : '') . $key['name'];
  foreach ($cats as $key) $t[$key['token']] = $key['name'];
  if ($this->session->userdata('prosc_supply_key') == '') :
    if ($tmp === '') {
      $psc = $this->session->userdata('prosc_supply_date');

?>

      <div class="px-2 px-md-4 banner">
        <div class="pb-2 crumb">
          <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>

          <a href="<?= base_url('ipanel/supply_products.aspx'); ?>">Supply</a><i class="ix ix-chevron"></i>
          <a href="javascript:void(0)">Suppy Products</a>

        </div>
        <div class="pb-2 banner border-0" style="margin-left: auto;">
          <div class="btn-group bg-light rounded px-2">
            <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
            <a href="<?= base_url('filter/' . $page) ?>" class="btn" data-title="Filter" data-bs-toggle="modal" data-bs-target="#mModal"><i class="bi-filter"></i></a>
          </div>
          <a href="<?= base_url('ipanel/pop/supply_products'); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" data-title="New Supply"><i class="bi-plus-lg"></i> Create Supply</a>
        </div>
      </div>

      <?php if (!isset($_SESSION['prosc_supply_x'])) : ?>
        <div class="container-fluid d-flex justify-content-end pb-0 pt-3 align-items-center ms-auto">
          <button class="btn btn-outline-supreme-2 pe-4 sub-url" data-ref="<?= base_url('navigate/supply_products/prev'); ?>"><i class="bi-chevron-left"></i> Prev</button>
          <button class="btn mx-3"><?= (date('Y-m-d') == $psc or $psc == '') ? 'Today' : date('d M, Y', strtotime($psc)); ?></button>
          <button class="btn btn-outline-supreme-2 ps-4 sub-url" data-ref="<?= base_url('navigate/supply_products/next'); ?>" <?= (date('Y-m-d') == $psc or $psc == '') ? 'disabled' : ''; ?>>Next <i class="ix ix-chevron"></i></button>
        </div>
      <?php else : ?>
        <div class="px-3 pt-3 text-end ms-auto">
          <button class="btn"><?= date('d M, Y', strtotime($_SESSION['prosc_supply_x'])) ?> &nbsp; - &nbsp; <?= date('d M, Y', strtotime($_SESSION['prosc_supply_y'])) ?>
        </div>
      <?php endif ?>
      <div class="d-flex justify-content-end p-3 pb-0 align-items-center">
      </div>

      <div class="container-fluid pt-3">
        <div class="table-responsive">
          <table class="table table-hovers">
            <thead>
              <tr>
                <th width="20px">#</th>
                <th>Supply ID</th>
                <th>Outlet</th>
                <th>Item</th>
                <th>Amount Total</th>
                <th>Date & Time</th>
                <!-- <th>Status</th> -->
                <th width="60px"></th>
              </tr>
            </thead>
            <tbody id="drop-off">

              <!-- the approve section -->
            <?php } ?>
            <?php
            $c = 0;
            foreach ($data as $row) {
              $c++;
              $color = ($row['approve'] == 1) ? 'success' : (($row['approve'] == 2) ? 'primary' : 'dark');
              $status = ($row['approve'] == 1) ? 'Completed' : (($row['approve'] == 2) ? 'Awaiting Delivery' : 'Pending');
              $total = $totals[$row['voucher']] ?? $row['total'];
              // $timed = date('d M, Y • h:ia', strtotime('+1 hour', strtotime($row['created_at'])));
              $timed = date('h:i A', strtotime('+1 hour', strtotime($row['created_at'])));
            ?>
              <tr>
                <td width="20px" class="text-end"><?= $c; ?></td>
                <td><b><?= $row['voucher']; ?></b></td>
                <td class="text-nowrap"><?= $o[$row['outlet']] ? $o[$row['outlet']] : 'Online warehouse' ?></td>
                <td><?= substr($row['items'], 0, 50) . (strlen($row['items'] > 50) ? '...' : ''); ?></td>
                <td class="text-nowrap">
                  <?php if ($currency == "GBP"): ?>
                    <i class="bi bi-currency-pound"></i><?= number_format($total); ?>
                  <?php else: ?>
                    <span class="money"><?= number_format($total); ?></span>
                  <?php endif; ?>

                </td>
                <td class="text-nowrap"><?= $timed; ?></td>
                <!-- <td><span class="text-<?= $color; ?>"><?= $status ?></span></td> -->
                <td class="dropstart py-2">
                  <button class="btn btn-sm" data-bs-toggle="dropdown"><i class="bi-three-dots-vertical"></i></button>
                  <div class="dropdown-menu">
                    <a href="#" data-ref="<?= base_url('ipanel/put/supply_products?action=open&target=' . $row['token']); ?>" class="dropdown-item sub-url" title="Open Supply Data"><i class="bi-folder2-open"></i>Open</a>
                    <a href="<?= base_url('generate/invoice.aspx?action=supply&target=' . $row['token']); ?>" class="dropdown-item" title="Generate Invoice"><i class="bi-clipboard2-check-fill"></i>Invoice</a>
                    <a href="<?= base_url('ipanel/pop/supply_products?token=' . $row['token']); ?>" class="dropdown-item" data-bs-toggle="modal" title="Edit Supply Details" data-bs-target="#mModal" data-title="Edit Supply Details"><i class="bi-pen"></i>Edit Details</a>
                    <a href="<?= base_url('ipanel/drop/supply_products?voucher=' . $row['voucher']); ?>" class="dropdown-item" data-bs-toggle="modal" data-bs-target="#mModalX">
                      <i class="bi-trash3-fill text-danger"></i> Delete
                      <span class="msg d-none">This operation will remove all data for supply with details at row: <b><?= $c; ?></b><br />Sure to continue?</span>
                    </a>
                  </div>
                </td>
              </tr>

            <?php } ?>
            <?php if (count($data) == 0) { ?>
              <tr>
                <td colspan="8" class="p-5 text-danger text-center">no data available</td>
              </tr>
            <?php } ?>
            <?php if ($tmp === '') { ?>
            </tbody>
          </table>
        </div>
      </div>
    <?php } ?>
    <?php
  else :
    if ($tmp === '') {
    ?>
      <!-- supply bredcrumb -->
      <div class="px-2 px-md-4 banner">
        <div class="pb-2 crumb">
          <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
          <a href="<?= base_url('ipanel/supply_products.aspx'); ?>">Supply</a><i class="ix ix-chevron"></i>
          <a href="javascript:void(0)" class="sub-url" data-ref="<?= base_url('ipanel/put/supply_products?action=close'); ?>">Supply Outlet</a><i class="ix ix-chevron"></i>
          <a href="javascript:void(0)">Create Supply</a>
        </div>
      </div>
      <div class="container p-0">
        <div class="row g-0">
          <div class="col-md-6 border-end">
            <div class="container p-5">
              <div class="container p-3 border rounded">
                <div class="p-3">
                  <h5 class="text-center pb-3"><b>Create Supply</b></h5>
                  <table class="table border">
                    <tbody>
                      <tr>
                        <td><b>SUPPLY ID</b></td>
                        <td class="text-end"><?= $_SESSION['prosc_supply_key']; ?></td>
                      </tr>
                      <tr>
                        <td><b>DATE</b></td>
                        <td class="text-end"><?= date('d F, Y', strtotime($_SESSION['prosc_supply_date'])); ?></td>
                      </tr>
                      <tr>
                        <td><b>RECIPIENT</b></td>
                        <td class="text-end"><?= $_SESSION['prosc_supply_name']; ?></td>
                      </tr>
                    </tbody>
                  </table>
                </div>
                <form action="#" id="adder" class="kForm position-relative" autocomplete="off">
                  <div id="loader" class="out"></div>
                  <div class="form-group mb-3">
                    Product
                    <select id="select" class="form-select" data-dselect-search="true" name="item">
                      <option class="d-none" value="">Select Product ...</option>
                      <?php foreach ($items as $row) { ?>
                        <option id="i<?= $row['token'] ?>" value="<?= $row['token'] ?>"><?= $row['name']; ?> (<?= $t[$row['category']] ?>)</option>
                      <?php } ?>
                    </select>
                  </div>
                  <div class="form-group mb-3">
                    <label>Quantity</label>
                    <input type="number" class="form-control" min="1" name="quantity" id="qty" required />
                  </div>
                  <div class="form-group mb-3">
                    <label>Price (Per Unit)</label>
                    <select id="price" class="form-control" disabled>
                      <option class="d-none">0</option>
                      <?php foreach ($items as $row) { ?>
                        <option id="p<?= $row['token'] ?>" value="<?= $row['token'] ?>"><?= $row['price']; ?></option>
                      <?php } ?>
                    </select>
                  </div>
                  <div class="text-end py-3">
                    <button class="btn submit" id="send" data-ref="<?= base_url('ipanel/post/supply_products'); ?>"><i class="bi-plus-lg"></i> <span>Add Another Product</span></button>
                  </div>
                </form>
              </div>
            </div>
          </div>
          <div class="col-md-6">
            <div class="container py-5 px-4">
              <div class="container p-3 border rounded">
                <h5 class="text-center pb-3"><b>Preview</b></h5>
                <div class="table-responsive px-0 px-md-3">
                  <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
                    <thead>
                      <tr class="text-center">
                        <th width="20px">#</th>
                        <th>Product</th>
                        <th>Price (PU)</th>
                        <th>Units</th>
                        <th>Total</th>
                        <th width="60px"></th>
                      </tr>
                    </thead>
                    <tbody id="drop-off">
                    <?php } ?>
                    <?php
                    $c = 0;
                    $sum = 0;
                    foreach ($data as $row) {
                      $c++;
                      $sum += $row['price'] * $row['quantity'];
                    ?>
                      <tr class="text-end text-danger<?= $row['save'] == 1 ? ' text-danger' : '' ?>">
                        <td width="20px"><?= $c; ?></td>
                        <td class="text-nowrap text-start"><?= $i[$row['item']]; ?></td>
                        <td>
                          <?php if ($currency == "GBP"): ?>
                            <i class="bi bi-currency-pound"></i><?= number_format($row['price']); ?>
                          <?php else: ?>
                            <span class="money"><?= number_format($row['price']); ?></span>
                          <?php endif; ?>
                        </td>
                        <td><?= number_format($row['quantity'], 0); ?></td>
                        <td class="text-end">
                          <?php if ($currency == "GBP"): ?>
                            <i class="bi bi-currency-pound"></i><?= number_format(($row['price'] * $row['quantity'])); ?>
                          <?php else: ?>
                            <span class="money"><?= number_format(($row['price'] * $row['quantity'])); ?></span>
                          <?php endif; ?>
                        </td>
                        <td class="text-nowrap py-2">
                          <a href="javascript:void(0)" class="btn btn-sm mod" data-item="<?= $row['item']; ?>" data-ref="<?= $row['token']; ?>" data-count="<?= $row['quantity']; ?>"><i class="bi-pencil-square"></i></a>
                          <a href="<?= base_url('ipanel/drop/supply_products?token=' . $row['token']); ?>" class="btn btn-sm text-danger" data-bs-toggle="modal" data-bs-target="#mModalX">
                            <i class="bi-trash3-fill"></i>
                            <span class="msg d-none">You are about to remove <b><?= $i[$row['item']]; ?></b> from this supply<br />Sure to continue?</span>
                          </a>
                        </td>
                      </tr>
                    <?php } ?>
                    <?php if (count($data) == 0) { ?>
                      <tr>
                        <td colspan="6" class="p-5 text-danger text-center">no data available</td>
                      </tr>
                    <?php } else { ?>
                      <tr>
                        <td colspan="4" class="text-end"><b>Total:</b></td>
                        <td colspan="2">
                          <?php if ($currency == "GBP"): ?>
                            <i class="bi bi-currency-pound"></i><?= number_format($sum); ?>
                          <?php else: ?>
                            <span class="money"><?= number_format($sum); ?></span>
                          <?php endif; ?>

                        </td>
                      </tr>
                      <tr class="bg-white">
                        <td colspan="6">
                          <div class="py-2 text-end">
                            <a href="#" class="btn btn-supreme expand sub-url p-3" data-ref="<?= base_url('ipanel/put/supply_products?action=close'); ?>">Complete Entry</a>
                          </div>
                        </td>
                      </tr>
                    <?php } ?>
                    <?php if ($tmp === '') { ?>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
        <span id="baseX" class="d-none"><?= base_url('ipanel/put/supply_products'); ?></span>
      </div>
      <script type="text/javascript" src="<?= base_url('assets/js/' . md5('er_supply') . '.js'); ?>" defer></script>
    <?php } ?>
  <?php endif ?>
<?php } ?>