<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (is_array($data)) {
  $s = [];
  if ($tmp === ''):
    $complete = $data[0]['paid'];
    $way = $waybill ? date('F d, Y', strtotime($waybill->date)) : '-';
    $drop = $waybill && $waybill->delivery == 1 ? date('F d, Y', strtotime($waybill->date)) : '-';
?>
    <div class="px-2 px-md-4 banner">
      <div class="pb-2 crumb">
        <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
        <a href="javascript:void(0)">Supply</a><i class="ix ix-chevron"></i>
        <a href="<?= base_url('ipanel/supply_client.aspx') ?>">Supply Client</a><i class="ix ix-chevron"></i>
        <a href="javascript:void(0)">Tracking</a>
      </div>
    </div>
    <div class="container-fluid py-3 px-4 border-bottom mb-5">
      <i class="bi-bell-fill"></i> Tracking Status
    </div>
    <div class="container-fluid pt-3">
      <div class="text-center">
        <div class="wrapper <?= ($way != '-' or $data[0]['paid'] == 1) ? 'full' : '' ?>">
          <div class="content active"><b>Order Approved <br><?= date('F d, Y', strtotime($data[0]['date'])) ?></b></div>
          <div class="content two <?= ($way != '-' or $data[0]['paid'] == 1) ? 'active' : ''; ?>"><b>Released <br><?= $way ?></b></div>
          <div class="content for <?= $data[0]['paid'] == 1 ? 'active' : ''; ?>"><b>Order Completed <br><?= date('F d, Y', strtotime($data[0]['updated_at'])) ?></b></div>
        </div>
        <?php if ($data[0]['paid'] == 0): ?>
          <a href="<?= base_url('ipanel/put/track?target=' . $data[0]['voucher']) ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModalX" data-title="Complete Order"><span class="msg d-none">By clicking Yes, you agree that this order has been delivered successfully and payment has been made. <br />Are you sure you want to continue?</span> Update status as Complete</a>
        <?php endif ?>
      </div>
      <div class="table-responsive mx-auto pt-5" style="max-width: 480px;">
        <table class="table">
          <tbody>
            <tr>
              <td>Voucher</td>
              <td class="text-end"><b><?= $data[0]['voucher'] ?></b></td>
            </tr>
            <tr>
              <td>Client Name</td>
              <td class="text-end"><b><?= $data[0]['customer_name'] ?></b></td>
            </tr>
            <tr>
              <td>Client Phone</td>
              <td class="text-end"><b><?= $data[0]['customer_phone'] ?></b></td>
            </tr>
            <tr>
              <td>Supply Date</td>
              <td class="text-end"><b><?= date('d F Y', strtotime($data[0]['date'])) ?></b></td>
            </tr>
            <tr>
              <td>Total Amount</td>
              <td class="text-end">
                <?php if ($currency == "GBP"): ?>
                  <i class="bi bi-currency-pound"></i><?= number_format($total, 2); ?>
                <?php else: ?>
                  <b class="money"><?= number_format($total, 2) ?></b>
                <?php endif; ?>

              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  <?php endif ?>
<?php } ?>
<link rel="stylesheet" type="text/css" href="<?= base_url('assets/css/tracker.css'); ?>">