<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<form action="#" id="adder" autocomplete="off">
  <?php $uuid = (strlen($last) < 3) ? str_repeat('0', 3 - strlen($last)) . $last : $last; ?>
  <div class="form-group mb-3">
    <input type="text" value="<?= $data->whs_id ?? "WHS $uuid"; ?>" name="autogen" class="form-control text-center" readonly />
  </div>
  <div class="form-group mb-3">
    <label>Name</label>
    <input type="text" value="<?= $data->name ?? ""; ?>" name="whs_name" class="form-control text-center" />
  </div>
  <div class="form-group mb-3">
    <label>Address</label>
    <textarea class="form-control" name="address" rows="1" required><?= $data->address ?? '' ?></textarea>
  </div>
  <div class="form-group mb-4">
    <label>State</label>
    <select class="form-select" name="state" required>
      <option value="" class="d-none">Select State...</option>
      <?php foreach ($states as $row) : ?>
        <option value="<?= $row['token'] ?>" <?= $data && $data->state == $row['token'] ? 'selected' : ''; ?>><?= $row['name'] ?></option>
      <?php endforeach ?>
    </select>
  </div>
  <?php $ref = (is_object($data)) ? 'put/warehouse?target=' . $data->token : 'post/warehouse'; ?>
  <button class="btn btn-supreme w-100 submit" data-content="#drop-off" data-form="#adder" data-ref="<?= base_url('ipanel/' . $ref); ?>">Save</button>
</form>